Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 17 Mar 2023 13:36:36 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Baby shop team !

I have placed my order on 13.03.2023 and i haven’t received it till today 17.03.3023 !! I have called several times for the same issue and the customer service team said we will deliver it as soon as possible! I this what you mean of as soon as possible???! 4 days to deliver my order ?? In the app its mentioned 1-2 days only !! Its the worst delivery service i have ever seen ! Other fashion applications are delivering the order within 24 hrs !!  Even ordering from out of country is not taking so long ! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5864161